import React from 'react';
import { HighlightOptions, H as localH } from 'highlight.run';
import type { NextPageContext } from 'next';
import { ErrorProps } from 'next/error.js';
export { localH as H };
export { ErrorBoundary } from '@highlight-run/react';
export interface HighlightInitProps extends HighlightOptions {
    projectId?: string;
}
export type HighlightErrorProps = {
    errorMessage: string;
} & ErrorProps;
export declare function getHighlightErrorInitialProps({ res, err, }: NextPageContext): HighlightErrorProps;
export type PageRouterErrorProps = HighlightErrorProps;
export declare function pageRouterCustomErrorHandler(highlightInitProps: HighlightInitProps, Child?: React.FC<HighlightErrorProps>): {
    (props: HighlightErrorProps): React.JSX.Element;
    getInitialProps: typeof getHighlightErrorInitialProps;
};
export type AppRouterErrorProps = {
    error: Error & {
        digest?: string;
    };
    reset: () => void;
};
export declare function appRouterSsrErrorHandler(Child: React.FC<AppRouterErrorProps>): ({ error, reset }: AppRouterErrorProps) => React.JSX.Element;
//# sourceMappingURL=ssr.d.ts.map