import { NodeOptions } from '@highlight-run/node';
import { IncomingHttpHeaders } from 'http';
export declare type HasHeaders = {
    headers: IncomingHttpHeaders;
};
export declare type HasStatus = {
    readonly statusCode: number;
    readonly statusMessage: string;
    status: (statusCode: number) => HasStatus;
    send: (body: string) => void;
};
export declare type ApiHandler<T extends HasHeaders, S extends HasStatus> = (req: T, res: S) => unknown | Promise<unknown>;
export declare const Highlight: (options: NodeOptions) => <T extends HasHeaders, S extends HasStatus>(originalHandler: ApiHandler<T, S>) => ApiHandler<T, S>;
//# sourceMappingURL=with-highlight-nodejs-page-router.d.ts.map